#ifndef RIGIDMESHHEADER
#define RIGIDMESHHEADER
#include "RenderableObject.h"
#include "Vector3.h"

class RigidMesh : public RenderableObject
{
	typedef struct 
	{
		GLfloat vert[3];
		GLfloat norm[3];
		GLfloat tex[2];
	} GLCorner;

	typedef struct 
	{
		GLCorner corners[3];
	} GLtriangle;
	
	GLtriangle * data;
	int numTriangles;

	friend class SkelChar;
public:
	RigidMesh();
	~RigidMesh();
	void Draw();
	
};


#endif